%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-express-session
Version:    1.0.2
Release:    7%{?dist}
Summary:    A module to setup a session store with the given options
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/expressjs/session
Source0:    https://registry.npmjs.org/express-session/-/express-session-%{version}.tgz
# Add a copy of the license text to comply with license requirements.
# https://github.com/expressjs/session/pull/14
Source20:   LICENSE
Patch0:     nodejs-express-session-shouldjs.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(buffer-crc32)
BuildRequires:  npm(connect)
BuildRequires:  npm(cookie-parser)
BuildRequires:  npm(cookie)
BuildRequires:  npm(cookie-signature)
BuildRequires:  npm(debug)
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
BuildRequires:  npm(supertest)
BuildRequires:  npm(uid2)
BuildRequires:  npm(utils-merge)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE20} .
%patch0 -p1

%nodejs_fixdep cookie '~0.1'
%nodejs_fixdep debug '^2.2.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/express-session
cp -pr package.json index.js session/ \
    %{buildroot}%{nodejs_sitelib}/express-session

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --bail --ui bdd --reporter list -- test/*.js
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/express-session


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Tom Hughes <tom@compton.nu> - 1.0.2-5
- Update npm(debug) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-2
- fix version of npm(debug) dependency

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-1
- initial package
